/*
 *  DXGraphicsUtils.h
 *  RoboDXGL
 *
 *  Created by Shilpa Prabhu on Thu Dec 02 2004.
 *  Copyright (c) 2004 __MyCompanyName__. All rights reserved.
 *
 */

#ifndef __DXGRAPHICSUTILS_H__
#define __DXGRAPHICSUTILS_H__

#include <Carbon/Carbon.h>
#ifdef DXGRAPHICS_VERSION9
#include "d3d9.h"
#endif
#ifdef DXGRAPHICS_VERSION8
#include "d3d8.h" 
#endif


typedef enum 
{
	OPTION_ENABLETEXCOORDINV = 0x0001	
}OPTIONFLAGS;

#ifdef DXGRAPHICS_VERSION9
void SetMipLevels(IDirect3DTexture9* in_pTextObj);
#endif

#ifdef DXGRAPHICS_VERSION8
void SetMipLevels(IDirect3DTexture8* in_pTextObj);
#endif

void SetOptionFlag(UInt16 in_sFloag);

void GetCurrentApplicationDirPath(char *out_DirPath);

void ResetTotalTriRenderedCount();

UInt32 GetTotalTriRenderedCount();

bool IssueWithATI1600_RectangleTextures();

#endif //__DXGRAPHICSUTILS_H__
